package mhp.oee.po.gen;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ProductionOutputTargetPOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public ProductionOutputTargetPOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andSiteIsNull() {
            addCriterion("SITE is null");
            return (Criteria) this;
        }

        public Criteria andSiteIsNotNull() {
            addCriterion("SITE is not null");
            return (Criteria) this;
        }

        public Criteria andSiteEqualTo(String value) {
            addCriterion("SITE =", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotEqualTo(String value) {
            addCriterion("SITE <>", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThan(String value) {
            addCriterion("SITE >", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThanOrEqualTo(String value) {
            addCriterion("SITE >=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThan(String value) {
            addCriterion("SITE <", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThanOrEqualTo(String value) {
            addCriterion("SITE <=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLike(String value) {
            addCriterion("SITE like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotLike(String value) {
            addCriterion("SITE not like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteIn(List<String> values) {
            addCriterion("SITE in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotIn(List<String> values) {
            addCriterion("SITE not in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteBetween(String value1, String value2) {
            addCriterion("SITE between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotBetween(String value1, String value2) {
            addCriterion("SITE not between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andItemIsNull() {
            addCriterion("ITEM is null");
            return (Criteria) this;
        }

        public Criteria andItemIsNotNull() {
            addCriterion("ITEM is not null");
            return (Criteria) this;
        }

        public Criteria andItemEqualTo(String value) {
            addCriterion("ITEM =", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotEqualTo(String value) {
            addCriterion("ITEM <>", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemGreaterThan(String value) {
            addCriterion("ITEM >", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemGreaterThanOrEqualTo(String value) {
            addCriterion("ITEM >=", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemLessThan(String value) {
            addCriterion("ITEM <", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemLessThanOrEqualTo(String value) {
            addCriterion("ITEM <=", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemLike(String value) {
            addCriterion("ITEM like", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotLike(String value) {
            addCriterion("ITEM not like", value, "item");
            return (Criteria) this;
        }

        public Criteria andItemIn(List<String> values) {
            addCriterion("ITEM in", values, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotIn(List<String> values) {
            addCriterion("ITEM not in", values, "item");
            return (Criteria) this;
        }

        public Criteria andItemBetween(String value1, String value2) {
            addCriterion("ITEM between", value1, value2, "item");
            return (Criteria) this;
        }

        public Criteria andItemNotBetween(String value1, String value2) {
            addCriterion("ITEM not between", value1, value2, "item");
            return (Criteria) this;
        }

        public Criteria andOperationIsNull() {
            addCriterion("OPERATION is null");
            return (Criteria) this;
        }

        public Criteria andOperationIsNotNull() {
            addCriterion("OPERATION is not null");
            return (Criteria) this;
        }

        public Criteria andOperationEqualTo(String value) {
            addCriterion("OPERATION =", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationNotEqualTo(String value) {
            addCriterion("OPERATION <>", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationGreaterThan(String value) {
            addCriterion("OPERATION >", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationGreaterThanOrEqualTo(String value) {
            addCriterion("OPERATION >=", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationLessThan(String value) {
            addCriterion("OPERATION <", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationLessThanOrEqualTo(String value) {
            addCriterion("OPERATION <=", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationLike(String value) {
            addCriterion("OPERATION like", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationNotLike(String value) {
            addCriterion("OPERATION not like", value, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationIn(List<String> values) {
            addCriterion("OPERATION in", values, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationNotIn(List<String> values) {
            addCriterion("OPERATION not in", values, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationBetween(String value1, String value2) {
            addCriterion("OPERATION between", value1, value2, "operation");
            return (Criteria) this;
        }

        public Criteria andOperationNotBetween(String value1, String value2) {
            addCriterion("OPERATION not between", value1, value2, "operation");
            return (Criteria) this;
        }

        public Criteria andResrceIsNull() {
            addCriterion("RESRCE is null");
            return (Criteria) this;
        }

        public Criteria andResrceIsNotNull() {
            addCriterion("RESRCE is not null");
            return (Criteria) this;
        }

        public Criteria andResrceEqualTo(String value) {
            addCriterion("RESRCE =", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotEqualTo(String value) {
            addCriterion("RESRCE <>", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceGreaterThan(String value) {
            addCriterion("RESRCE >", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceGreaterThanOrEqualTo(String value) {
            addCriterion("RESRCE >=", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceLessThan(String value) {
            addCriterion("RESRCE <", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceLessThanOrEqualTo(String value) {
            addCriterion("RESRCE <=", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceLike(String value) {
            addCriterion("RESRCE like", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotLike(String value) {
            addCriterion("RESRCE not like", value, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceIn(List<String> values) {
            addCriterion("RESRCE in", values, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotIn(List<String> values) {
            addCriterion("RESRCE not in", values, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceBetween(String value1, String value2) {
            addCriterion("RESRCE between", value1, value2, "resrce");
            return (Criteria) this;
        }

        public Criteria andResrceNotBetween(String value1, String value2) {
            addCriterion("RESRCE not between", value1, value2, "resrce");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldIsNull() {
            addCriterion("TARGE_QTY_YIELD is null");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldIsNotNull() {
            addCriterion("TARGE_QTY_YIELD is not null");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldEqualTo(BigDecimal value) {
            addCriterion("TARGE_QTY_YIELD =", value, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldNotEqualTo(BigDecimal value) {
            addCriterion("TARGE_QTY_YIELD <>", value, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldGreaterThan(BigDecimal value) {
            addCriterion("TARGE_QTY_YIELD >", value, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("TARGE_QTY_YIELD >=", value, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldLessThan(BigDecimal value) {
            addCriterion("TARGE_QTY_YIELD <", value, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldLessThanOrEqualTo(BigDecimal value) {
            addCriterion("TARGE_QTY_YIELD <=", value, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldIn(List<BigDecimal> values) {
            addCriterion("TARGE_QTY_YIELD in", values, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldNotIn(List<BigDecimal> values) {
            addCriterion("TARGE_QTY_YIELD not in", values, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("TARGE_QTY_YIELD between", value1, value2, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("TARGE_QTY_YIELD not between", value1, value2, "targeQtyYield");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitIsNull() {
            addCriterion("TARGE_QTY_YIELD_UNIT is null");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitIsNotNull() {
            addCriterion("TARGE_QTY_YIELD_UNIT is not null");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitEqualTo(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT =", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitNotEqualTo(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT <>", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitGreaterThan(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT >", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitGreaterThanOrEqualTo(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT >=", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitLessThan(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT <", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitLessThanOrEqualTo(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT <=", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitLike(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT like", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitNotLike(String value) {
            addCriterion("TARGE_QTY_YIELD_UNIT not like", value, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitIn(List<String> values) {
            addCriterion("TARGE_QTY_YIELD_UNIT in", values, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitNotIn(List<String> values) {
            addCriterion("TARGE_QTY_YIELD_UNIT not in", values, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitBetween(String value1, String value2) {
            addCriterion("TARGE_QTY_YIELD_UNIT between", value1, value2, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargeQtyYieldUnitNotBetween(String value1, String value2) {
            addCriterion("TARGE_QTY_YIELD_UNIT not between", value1, value2, "targeQtyYieldUnit");
            return (Criteria) this;
        }

        public Criteria andTargetDateIsNull() {
            addCriterion("TARGET_DATE is null");
            return (Criteria) this;
        }

        public Criteria andTargetDateIsNotNull() {
            addCriterion("TARGET_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andTargetDateEqualTo(String value) {
            addCriterion("TARGET_DATE =", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateNotEqualTo(String value) {
            addCriterion("TARGET_DATE <>", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateGreaterThan(String value) {
            addCriterion("TARGET_DATE >", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateGreaterThanOrEqualTo(String value) {
            addCriterion("TARGET_DATE >=", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateLessThan(String value) {
            addCriterion("TARGET_DATE <", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateLessThanOrEqualTo(String value) {
            addCriterion("TARGET_DATE <=", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateLike(String value) {
            addCriterion("TARGET_DATE like", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateNotLike(String value) {
            addCriterion("TARGET_DATE not like", value, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateIn(List<String> values) {
            addCriterion("TARGET_DATE in", values, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateNotIn(List<String> values) {
            addCriterion("TARGET_DATE not in", values, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateBetween(String value1, String value2) {
            addCriterion("TARGET_DATE between", value1, value2, "targetDate");
            return (Criteria) this;
        }

        public Criteria andTargetDateNotBetween(String value1, String value2) {
            addCriterion("TARGET_DATE not between", value1, value2, "targetDate");
            return (Criteria) this;
        }

        public Criteria andShiftIsNull() {
            addCriterion("SHIFT is null");
            return (Criteria) this;
        }

        public Criteria andShiftIsNotNull() {
            addCriterion("SHIFT is not null");
            return (Criteria) this;
        }

        public Criteria andShiftEqualTo(String value) {
            addCriterion("SHIFT =", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftNotEqualTo(String value) {
            addCriterion("SHIFT <>", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftGreaterThan(String value) {
            addCriterion("SHIFT >", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftGreaterThanOrEqualTo(String value) {
            addCriterion("SHIFT >=", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftLessThan(String value) {
            addCriterion("SHIFT <", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftLessThanOrEqualTo(String value) {
            addCriterion("SHIFT <=", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftLike(String value) {
            addCriterion("SHIFT like", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftNotLike(String value) {
            addCriterion("SHIFT not like", value, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftIn(List<String> values) {
            addCriterion("SHIFT in", values, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftNotIn(List<String> values) {
            addCriterion("SHIFT not in", values, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftBetween(String value1, String value2) {
            addCriterion("SHIFT between", value1, value2, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftNotBetween(String value1, String value2) {
            addCriterion("SHIFT not between", value1, value2, "shift");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionIsNull() {
            addCriterion("SHIFT_DESCRIPTION is null");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionIsNotNull() {
            addCriterion("SHIFT_DESCRIPTION is not null");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionEqualTo(String value) {
            addCriterion("SHIFT_DESCRIPTION =", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionNotEqualTo(String value) {
            addCriterion("SHIFT_DESCRIPTION <>", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionGreaterThan(String value) {
            addCriterion("SHIFT_DESCRIPTION >", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("SHIFT_DESCRIPTION >=", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionLessThan(String value) {
            addCriterion("SHIFT_DESCRIPTION <", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionLessThanOrEqualTo(String value) {
            addCriterion("SHIFT_DESCRIPTION <=", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionLike(String value) {
            addCriterion("SHIFT_DESCRIPTION like", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionNotLike(String value) {
            addCriterion("SHIFT_DESCRIPTION not like", value, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionIn(List<String> values) {
            addCriterion("SHIFT_DESCRIPTION in", values, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionNotIn(List<String> values) {
            addCriterion("SHIFT_DESCRIPTION not in", values, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionBetween(String value1, String value2) {
            addCriterion("SHIFT_DESCRIPTION between", value1, value2, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andShiftDescriptionNotBetween(String value1, String value2) {
            addCriterion("SHIFT_DESCRIPTION not between", value1, value2, "shiftDescription");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueIsNull() {
            addCriterion("IS_DEFAULT_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueIsNotNull() {
            addCriterion("IS_DEFAULT_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueEqualTo(String value) {
            addCriterion("IS_DEFAULT_VALUE =", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueNotEqualTo(String value) {
            addCriterion("IS_DEFAULT_VALUE <>", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueGreaterThan(String value) {
            addCriterion("IS_DEFAULT_VALUE >", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueGreaterThanOrEqualTo(String value) {
            addCriterion("IS_DEFAULT_VALUE >=", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueLessThan(String value) {
            addCriterion("IS_DEFAULT_VALUE <", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueLessThanOrEqualTo(String value) {
            addCriterion("IS_DEFAULT_VALUE <=", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueLike(String value) {
            addCriterion("IS_DEFAULT_VALUE like", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueNotLike(String value) {
            addCriterion("IS_DEFAULT_VALUE not like", value, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueIn(List<String> values) {
            addCriterion("IS_DEFAULT_VALUE in", values, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueNotIn(List<String> values) {
            addCriterion("IS_DEFAULT_VALUE not in", values, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueBetween(String value1, String value2) {
            addCriterion("IS_DEFAULT_VALUE between", value1, value2, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andIsDefaultValueNotBetween(String value1, String value2) {
            addCriterion("IS_DEFAULT_VALUE not between", value1, value2, "isDefaultValue");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table production_output_target
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table production_output_target
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}